/***************************************************************************
                          audiodlg.h  -  description
                             -------------------
    begin                : Fri May 16 2003
    copyright            : (C) 2003 by Reinier Lamers
    email                : tux_rocker@planet.nl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// 22-08-2003: Added ALSA support, and included config.h and added #ifdefs for audio system selection at compile time - Reinier Lamers

#ifndef AUDIODLG_H
#define AUDIODLG_H

#include <config.h>
 
#include <qobject.h>
#include <kdialogbase.h>
#include "guitune.h"

class QCheckBox;
 
class AudioDialog : public KDialogBase {
  Q_OBJECT;
  
  public:
    AudioDialog( MainWidget *mnwgdt, QWidget *parent=0, const char *name=0);
    ~AudioDialog();
  public slots:
/* We can't #ifdef these slots away when their audio system has not been configured, because Qt's moc ignores preprocessor statements.
 * Let's hope Trolltech fixes it once */
    void slotOk( void );
    void setSoundInputTypeaRts( bool on );
    void setSoundInputTypeOSS( bool on );
    void setSoundInputTypeALSA( bool on );
    void setSoundInputTypeJACK( bool on );
    void setSoundInputTypeAutodetect( bool on );
    void setDSPName( const QString &name );
    void setALSAName( const QString &name );
  private:
    MainWidget *mainwidget;
    MainWidget::SoundInputType soundinputtype;
#ifdef USE_OSS
    char dsp_devicename[100];
#endif
#ifdef USE_ALSA
    char alsa_devicename[100];
#endif
};

#endif
